<template>
  <div id="login">
    <el-row>
      <el-col :span="24" class="style">
        <el-col :span="24" class="top">
          <top></top>
        </el-col>
        <el-col :span="24" class="menu">
          <div class="w_1200">
            <menus></menus>
          </div>
        </el-col>
        <el-col :span="24" class="main">
          <div class="w_1200">
            <el-col :span="24" class="info">
              <fabuList @submit="submit" :form="form"></fabuList>
            </el-col>
          </div>
        </el-col>
        <el-col :span="24" class="foot">
          <div class="w_1200">
            <foot></foot>
          </div>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import top from '@/layout/common/top.vue';
import menus from '@/layout/common/menus.vue';
import foot from '@/layout/common/foot.vue';
import fabuList from '@/layout/demand/fabuList.vue';

import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'login',
  props: {},
  components: {
    top,
    menus,
    foot,
    fabuList,
  },
  data: function() {
    return {
      form: {},
    };
  },
  created() {},
  methods: {
    submit() {},
  },
  computed: {
    ...mapState(['user']),
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped>
.w_1200 {
  width: 1200px;
  margin: 0 auto;
}
.style {
  .menu {
    height: 70px;
    margin: 0 0 10px 0;
  }
  .main {
    min-height: 600px;
    margin: 0 0 10px 0;
  }
  .info {
    background-color: #fff;
    min-height: 600px;
  }
  .foot {
    height: 135px;
  }
}
</style>
